﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ClassCreator
{
    internal class DatabaseEntry
    {
        public enum DataAccessObject
        {
            DataReader,
            DataSet,
            DataTable,
        }

        const bool bLongLoginIDDefault = false;
        const bool bPrefixFieldsDefault = true;
        const bool bPrefixTablesDefault = true;
        const bool bSetLoginIDDefault = true;
        const bool bSetTimestampsDefault = true;
        const string sLoginIDCreateFieldNameDefault = "fldCreateLoginID";
        const string sLoginIDUpdateFieldNameDefault = "fldUpdateLoginID";
        const string sPrefixFieldDefault = "fld";
        const string sPrefixTableDefault = "tbl";
        const string sTimestampCreateFieldNameDefault = "fldCreateLoginID";
        const string sTimestampUpdateFieldNameDefault = "fldUpdateLoginID";

        public bool bLongLoginID;
        public bool bPrefixField;
        public bool bPrefixTable;
        public bool bSetLoginID;
        public bool bSetTimestamps;
        public string sConnectString;
        public string sDescription;
        public string sLoginIDCreateFieldName;
        public string sLoginIDUpdateFieldName;
        public string sPrefixField;
        public string sPrefixTable;
        public string sProjectClassPath;
        public string sTimestampCreateFieldName;
        public string sTimestampUpdateFieldName;
        public DataAccessObject iDataAccessObject;

        public DatabaseEntry()
        {
            bLongLoginID = bLongLoginIDDefault;
            bPrefixField = bPrefixFieldsDefault;
            bPrefixTable = bPrefixTablesDefault;
            bSetLoginID = bSetLoginIDDefault;
            bSetTimestamps = bSetTimestampsDefault;
            sConnectString = "";
            sDescription = "";
            sLoginIDCreateFieldName = sLoginIDCreateFieldNameDefault;
            sLoginIDUpdateFieldName = sLoginIDUpdateFieldNameDefault;
            sPrefixField = sPrefixFieldDefault;
            sPrefixTable = sPrefixTableDefault;
            sProjectClassPath = "";
            sTimestampCreateFieldName = sTimestampCreateFieldNameDefault;
            sTimestampUpdateFieldName = sTimestampUpdateFieldNameDefault;
            iDataAccessObject = DataAccessObject.DataReader;
        }
    }
}
